Package com.emc.d2fs.models.downloadobjecturls_info

# Class DownloadobjectInfo

java.lang.Object
com.emc.d2fs.models.downloadobjecturls_info.DownloadobjectInfo

All Implemented Interfaces:
  `Serializable`

public class DownloadobjectInfo extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="downloadUrls" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded"/>
             <element name="objectId" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DownloadobjectInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getDownloadUrls()`
  Gets the value of the downloadUrls property.
  `String`
  `getObjectId()`
  Gets the value of the objectId property.
  `void`
  `setObjectId(String value)`
  Sets the value of the objectId property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DownloadobjectInfo

    public DownloadobjectInfo()

- ## Method Details

  - ### getDownloadUrls

    public List<String> getDownloadUrls()
    Gets the value of the downloadUrls property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the downloadUrls property.

    For example, to add a new item, do as follows:

            getDownloadUrls().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getObjectId

    public String getObjectId()
    Gets the value of the objectId property.
    Returns:
      possible object is `String`

  - ### setObjectId

    public void setObjectId(String value)
    Sets the value of the objectId property.
    Parameters:
      `value` - allowed object is `String`